Error while installing Autoware.

asked 2018-02-13 23:59:00 -0600

updated 2018-02-14 01:29:06 -0600

I'm installing Autoware using the following guide link text.But when i run the command

sudo apt-get install ros-kinetic-desktop-full ros-kinetic-nmea-msgs ros-kinetic-nmea-navsat-driver ros-kinetic-sound-play ros-kinetic-jsk-visualization ros-kinetic-grid-map ros-kinetic-gps-common

I am getting an error.then I tried with --fix-missing then the installation aborts.

i think the problem is with

sudo apt-get install ros-kinetic-jsk-visualization

how can I fix this problem? I'm using kinetic version, ubuntu 16.04. error

melvin@melvin-HP-Notebook:~$ sudo apt-get install ros-kinetic-desktop-full ros-kinetic-nmea-msgs ros-kinetic-nmea-navsat-driver ros-kinetic-sound-play ros-kinetic-jsk-visualization ros-kinetic-grid-map ros-kinetic-gps-common
[sudo] password for melvin: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
ros-kinetic-desktop-full is already the newest version (1.3.1-0xenial-20171221-170650-0800).
ros-kinetic-gps-common is already the newest version (0.2.0-0xenial-20171116-225605-0800).
ros-kinetic-nmea-msgs is already the newest version (1.1.0-0xenial-20171208-082622-0800).
ros-kinetic-nmea-navsat-driver is already the newest version (0.5.0-0xenial-20171208-083557-0800).
ros-kinetic-sound-play is already the newest version (0.3.1-0xenial-20171117-022123-0800).
The following packages were automatically installed and are no longer required:
  fonts-lato iucode-tool libllvm4.0 libllvm4.0:i386 libruby2.3
  linux-headers-4.10.0-28 linux-headers-4.10.0-28-generic
  linux-headers-4.10.0-42 linux-headers-4.10.0-42-generic
  linux-headers-4.13.0-26 linux-headers-4.13.0-26-generic
  linux-headers-4.4.0-104 linux-headers-4.4.0-104-generic
  linux-image-4.10.0-28-generic linux-image-4.10.0-42-generic
  linux-image-4.13.0-26-generic linux-image-4.4.0-104-generic
  linux-image-extra-4.10.0-28-generic linux-image-extra-4.10.0-42-generic
  linux-image-extra-4.13.0-26-generic linux-image-extra-4.4.0-104-generic
  linux-signed-image-4.10.0-28-generic linux-signed-image-4.10.0-42-generic
  linux-signed-image-4.13.0-26-generic rake ruby ruby-did-you-mean
  ruby-minitest ruby-net-telnet ruby-power-assert ruby-test-unit ruby2.3
  rubygems-integration ttf-liberation
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  libgtkglext1 libopencv-calib3d2.4v5 libopencv-contrib2.4v5
  libopencv-features2d2.4v5 libopencv-flann2.4v5 libopencv-highgui2.4v5
  libopencv-legacy2.4v5 libopencv-ml2.4v5 libopencv-objdetect2.4v5
  libopencv-photo2.4v5 libopencv-video2.4v5 libqtassistantclient4
  python-opencv python-pycurl python-qt4 python-scipy python-skimage
  python-skimage-lib python-urlgrabber ros-kinetic-dynamic-tf-publisher
  ros-kinetic-euslisp ros-kinetic-grid-map-core ros-kinetic-grid-map-cv
  ros-kinetic-grid-map-demos ros-kinetic-grid-map-filters
  ros-kinetic-grid-map-loader ros-kinetic-grid-map-msgs
  ros-kinetic-grid-map-octomap ros-kinetic-grid-map-ros
  ros-kinetic-grid-map-rviz-plugin ros-kinetic-grid-map-visualization
  ros-kinetic-image-view2 ros-kinetic-jsk-footstep-msgs
  ros-kinetic-jsk-gui-msgs ros-kinetic-jsk-hark-msgs
  ros-kinetic-jsk-interactive ros-kinetic-jsk-interactive-marker
  ros-kinetic-jsk-interactive-test ros-kinetic-jsk-recognition-msgs
  ros-kinetic-jsk-recognition-utils ros-kinetic-jsk-rqt-plugins
  ros-kinetic-jsk-rviz-plugins ros-kinetic-jsk-topic-tools ros-kinetic-jskeus
  ros-kinetic-people-msgs ros-kinetic-roseus ros-kinetic-view-controller-msgs
  xfonts-100dpi xfonts-75dpi
Suggested packages:
  libcurl4-gnutls-dev python-pycurl-dbg python-pycurl-doc python-qt4-dbg
  python-scipy-doc python-skimage-doc
The following NEW packages will be installed:
  libgtkglext1 libopencv-calib3d2.4v5 libopencv-contrib2.4v5
  libopencv-features2d2.4v5 libopencv-flann2.4v5 libopencv-highgui2.4v5
  libopencv-legacy2.4v5 libopencv-ml2.4v5 libopencv-objdetect2.4v5
  libopencv-photo2.4v5 libopencv-video2.4v5 libqtassistantclient4
  python-opencv python-pycurl python-qt4 python-scipy python-skimage
  python-skimage-lib python-urlgrabber ros-kinetic-dynamic-tf-publisher
  ros-kinetic-euslisp ros-kinetic-grid-map ros-kinetic-grid-map-core
  ros-kinetic-grid-map-cv ros-kinetic-grid-map-demos
  ros-kinetic-grid-map-filters ros-kinetic-grid-map-loader
  ros-kinetic-grid-map-msgs ros-kinetic-grid-map-octomap
  ros-kinetic-grid-map-ros ros-kinetic-grid-map-rviz-plugin
  ros-kinetic-grid-map-visualization ros-kinetic-image-view2
  ros-kinetic-jsk-footstep-msgs ros-kinetic-jsk-gui-msgs
  ros-kinetic-jsk-hark-msgs ros-kinetic-jsk-interactive
  ros-kinetic-jsk-interactive-marker ros-kinetic-jsk-interactive-test
  ros-kinetic-jsk-recognition-msgs ros-kinetic-jsk-recognition-utils
  ros-kinetic-jsk-rqt-plugins ros-kinetic-jsk-rviz-plugins
  ros-kinetic-jsk-topic-tools ros-kinetic-jsk-visualization ros-kinetic-jskeus
  ros-kinetic-people-msgs ros-kinetic-roseus ros-kinetic-view-controller-msgs
  xfonts-100dpi xfonts-75dpi
0 upgraded, 51 newly installed, 0 to remove and 3 not upgraded.
Need to get 7,287 kB/56.3 MB of archives.
After this operation, 224 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Err:1 http://packages.ros.org/ros/ubuntu xenial/main amd64 ros-kinetic-dynamic-tf-publisher amd64 2.2.5-0xenial-20171117-062435-0800
  404  Not Found [IP: 2605:bc80:3010::134 80]
Err:2 http://packages.ros.org/ros/ubuntu xenial/main amd64 ros-kinetic-grid-map-cv amd64 1.6.0-0xenial-20171124-114750-0800
  404  Not Found [IP: 2605:bc80:3010::134 80]
Err:3 http://packages.ros.org/ros/ubuntu xenial/main amd64 ros-kinetic-grid-map-ros amd64 1.6.0-0xenial-20171124-115614-0800
  404  Not Found [IP: 2605:bc80:3010::134 80]
Err:4 http://packages.ros.org/ros/ubuntu ...
(more)
edit retag flag offensive close merge delete

Comments

sudo apt-get update --fix-missing

Update the repositories

chris_sunny gravatar imagechris_sunny ( 2018-02-14 00:13:05 -0600 )edit

W: Some index files failed to download. They have been ignored, or old ones used instead. i got this.

sudo_melvinyesudas gravatar imagesudo_melvinyesudas ( 2018-02-14 00:24:09 -0600 )edit

Can you please copy and paste the error instead of posting a screen shot? Screen shots aren't searchable.

jayess gravatar imagejayess ( 2018-02-14 01:16:44 -0600 )edit

thank you. i just updated.have take a look, please ?

sudo_melvinyesudas gravatar imagesudo_melvinyesudas ( 2018-02-14 01:29:49 -0600 )edit

packages.ros.org is resolving to an IPv6 for you. That host does have IPv6 connectivity and DNS records, but you seem to be unable to reach it.

Can you try disabling IPv6 (in your networking preferences), run sudo apt-get clean && sudo apt-get update and try again?

gvdhoorn gravatar imagegvdhoorn ( 2018-02-14 01:48:58 -0600 )edit

@gvdhoom i just disable ipv6 and tried.it works for some time but, after same error again occurred.

sudo_melvinyesudas gravatar imagesudo_melvinyesudas ( 2018-02-14 03:20:19 -0600 )edit

after same error again occurred.

the exact same error?

gvdhoorn gravatar imagegvdhoorn ( 2018-02-14 03:25:29 -0600 )edit

yes.but it works for a while,then this error.
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

sudo_melvinyesudas gravatar imagesudo_melvinyesudas ( 2018-02-14 03:41:19 -0600 )edit